cURL
curl --request GET \
--url https://api.0d.finance/{version}/vaults/{vault_id}import requests
url = "https://api.0d.finance/{version}/vaults/{vault_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.0d.finance/{version}/vaults/{vault_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_endpoint": "<string>",
"base_asset": "<string>",
"chain": "<string>",
"contract": {
"address": "<string>"
},
"deposit_constraints": {
"max_deposit": "<string>",
"min_deposit": "<string>",
"paused": true
},
"icons": {
"dark": "<string>",
"light": "<string>"
},
"id": "<string>",
"name": "<string>",
"perf_fee_bps": 123,
"share_price": "<string>",
"status": "<string>",
"symbol": "<string>",
"tvl": "<string>",
"withdraw_constraints": {
"instant_liquidity": true,
"instant_slippage_max_bps": 123,
"redeem_24h_threshold_pct_of_aum": 123,
"redeem_48h_above_threshold": true
},
"chain_id": "<string>",
"description": "<string>",
"docs_url": "<string>",
"inception_date": "<string>",
"mgmt_fee_bps": 123,
"strategy_brief": "<string>"
}Vaults
Vault Metadata
Get detailed metadata for a specific vault
GET
/
vaults
/
{vault_id}
cURL
Path Parameters
Vault identifier
Response
Vault metadata with live values
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I